package com.tofly.ghrq_route.module.rushrepair.domain;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;

import java.io.Serializable;

import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Unique;

/**
 * @author YCHK
 * 抢维修工单数据
 */
@Entity(nameInDb = "DB_RUSH_REPAIR")
@SuppressWarnings("serial")
public class RushRepairBean implements Serializable {

    @Id
    @NotNull
    @Unique
    private String id;//抢维修工单主键
    private String address;//地址
    private String contact;//联系人
    private String contactPhone;//联系人电话
    private String dispatchDate;//派工时间
    private String delFlag;//删除标记
    private String description;//详情描述
    private String dispatchUserId;//派工人id
    private String creatTime;//工单创建时间
    private String creatUser;//记录人(工单创建人)
    private String dispatchUserName;
    private String workOrderStateName;
    private int rowId;
    private String introduction;//介绍
    private String noteTaker;//记录人
    private String rushRepairPersons;//参与抢维修人员id
    private String rushRepairPersonsName;//参与抢维修人员姓名
    private String responsibleName;//抢维修责任人名字
    private String rushRepairResponsible;//抢维修责任人
    private String workOrderId;//工单编号
    private String workOrderTypeName;//工单类型名称 0:内部工单 , 1:外部转接
    private String workOrderSource;//工单来源
    private String workOrderState;//工单状态（0:待派工 , 1:派工未通过, 2:待处理 , 3:待审核 , 4:审核未通过, 5:归档）
    private String workOrderType;//工单类型 0:内部工单 , 1:外部转接
    private double x;
    private double y;
    private String submit_state;
    private String department;//部门id
    @Generated(hash = 1120273449)
    public RushRepairBean(@NotNull String id, String address, String contact,
            String contactPhone, String dispatchDate, String delFlag, String description,
            String dispatchUserId, String creatTime, String creatUser,
            String dispatchUserName, String workOrderStateName, int rowId,
            String introduction, String noteTaker, String rushRepairPersons,
            String rushRepairPersonsName, String responsibleName,
            String rushRepairResponsible, String workOrderId, String workOrderTypeName,
            String workOrderSource, String workOrderState, String workOrderType, double x,
            double y, String submit_state, String department) {
        this.id = id;
        this.address = address;
        this.contact = contact;
        this.contactPhone = contactPhone;
        this.dispatchDate = dispatchDate;
        this.delFlag = delFlag;
        this.description = description;
        this.dispatchUserId = dispatchUserId;
        this.creatTime = creatTime;
        this.creatUser = creatUser;
        this.dispatchUserName = dispatchUserName;
        this.workOrderStateName = workOrderStateName;
        this.rowId = rowId;
        this.introduction = introduction;
        this.noteTaker = noteTaker;
        this.rushRepairPersons = rushRepairPersons;
        this.rushRepairPersonsName = rushRepairPersonsName;
        this.responsibleName = responsibleName;
        this.rushRepairResponsible = rushRepairResponsible;
        this.workOrderId = workOrderId;
        this.workOrderTypeName = workOrderTypeName;
        this.workOrderSource = workOrderSource;
        this.workOrderState = workOrderState;
        this.workOrderType = workOrderType;
        this.x = x;
        this.y = y;
        this.submit_state = submit_state;
        this.department = department;
    }
    @Generated(hash = 1956101188)
    public RushRepairBean() {
    }
    public String getId() {
        return this.id;
    }
    public void setId(String id) {
        this.id = id;
    }
    public String getAddress() {
        return this.address;
    }
    public void setAddress(String address) {
        this.address = address;
    }
    public String getContact() {
        return this.contact;
    }
    public void setContact(String contact) {
        this.contact = contact;
    }
    public String getContactPhone() {
        return this.contactPhone;
    }
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }
    public String getDispatchDate() {
        return this.dispatchDate;
    }
    public void setDispatchDate(String dispatchDate) {
        this.dispatchDate = dispatchDate;
    }
    public String getDelFlag() {
        return this.delFlag;
    }
    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }
    public String getDescription() {
        return this.description;
    }
    public void setDescription(String description) {
        this.description = description;
    }
    public String getDispatchUserId() {
        return this.dispatchUserId;
    }
    public void setDispatchUserId(String dispatchUserId) {
        this.dispatchUserId = dispatchUserId;
    }
    public String getCreatTime() {
        return this.creatTime;
    }
    public void setCreatTime(String creatTime) {
        this.creatTime = creatTime;
    }
    public String getCreatUser() {
        return this.creatUser;
    }
    public void setCreatUser(String creatUser) {
        this.creatUser = creatUser;
    }
    public String getDispatchUserName() {
        return this.dispatchUserName;
    }
    public void setDispatchUserName(String dispatchUserName) {
        this.dispatchUserName = dispatchUserName;
    }
    public String getWorkOrderStateName() {
        return this.workOrderStateName;
    }
    public void setWorkOrderStateName(String workOrderStateName) {
        this.workOrderStateName = workOrderStateName;
    }
    public int getRowId() {
        return this.rowId;
    }
    public void setRowId(int rowId) {
        this.rowId = rowId;
    }
    public String getIntroduction() {
        return this.introduction;
    }
    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }
    public String getNoteTaker() {
        return this.noteTaker;
    }
    public void setNoteTaker(String noteTaker) {
        this.noteTaker = noteTaker;
    }
    public String getRushRepairPersons() {
        return this.rushRepairPersons;
    }
    public void setRushRepairPersons(String rushRepairPersons) {
        this.rushRepairPersons = rushRepairPersons;
    }
    public String getRushRepairPersonsName() {
        return this.rushRepairPersonsName;
    }
    public void setRushRepairPersonsName(String rushRepairPersonsName) {
        this.rushRepairPersonsName = rushRepairPersonsName;
    }
    public String getResponsibleName() {
        return this.responsibleName;
    }
    public void setResponsibleName(String responsibleName) {
        this.responsibleName = responsibleName;
    }
    public String getRushRepairResponsible() {
        return this.rushRepairResponsible;
    }
    public void setRushRepairResponsible(String rushRepairResponsible) {
        this.rushRepairResponsible = rushRepairResponsible;
    }
    public String getWorkOrderId() {
        return this.workOrderId;
    }
    public void setWorkOrderId(String workOrderId) {
        this.workOrderId = workOrderId;
    }
    public String getWorkOrderTypeName() {
        return this.workOrderTypeName;
    }
    public void setWorkOrderTypeName(String workOrderTypeName) {
        this.workOrderTypeName = workOrderTypeName;
    }
    public String getWorkOrderSource() {
        return this.workOrderSource;
    }
    public void setWorkOrderSource(String workOrderSource) {
        this.workOrderSource = workOrderSource;
    }
    public String getWorkOrderState() {
        return this.workOrderState;
    }
    public void setWorkOrderState(String workOrderState) {
        this.workOrderState = workOrderState;
    }
    public String getWorkOrderType() {
        return this.workOrderType;
    }
    public void setWorkOrderType(String workOrderType) {
        this.workOrderType = workOrderType;
    }
    public double getX() {
        return this.x;
    }
    public void setX(double x) {
        this.x = x;
    }
    public double getY() {
        return this.y;
    }
    public void setY(double y) {
        this.y = y;
    }
    public String getSubmit_state() {
        return this.submit_state;
    }
    public void setSubmit_state(String submit_state) {
        this.submit_state = submit_state;
    }
    public String getDepartment() {
        return this.department;
    }
    public void setDepartment(String department) {
        this.department = department;
    }
    
}
